#include "stdafx.h"
#include "define.h"
#include "unit_test.h"
#include "windowsAPI.h"
#include "nexception.h"


#include "namespace_start.h"

Void UnitTest(){

	
	std::wcout << _T("osVersion:");
	std::wcout << GetWindowsVersion() << std::endl;
	
	
	
	/*
	BOOST_CHECK(GetWindowsVersion().length() > 0);
	CHResult result;
	
	BOOST_CHECK(!result.IsS_OK());
	BOOST_CHECK(!result.IsSucceded());
	result= S_OK;
	BOOST_CHECK(result.IsS_OK());
	BOOST_CHECK_EQUAL(result.m_hResult,S_OK);
	BOOST_CHECK(result.IsSucceded());
	BOOST_CHECK(SUCCEEDED(result.m_hResult));
	result = OLE_E_CANT_GETMONIKER;
	BOOST_CHECK(!result.IsS_OK());
	BOOST_CHECK(!result.IsSucceded());
	BOOST_CHECK(!result.IsS_OK());
	BOOST_CHECK_EQUAL(result.m_hResult,OLE_E_CANT_GETMONIKER);
	BOOST_CHECK(!result.IsSucceded());
	
	BOOST_CHECK(FAILED(result.m_hResult));

	*/

	/*
	for(int i = 0;i < 10;i++){
		try{
		
			throw Exception(_T("testerror"),__LINE__,_T(__FILE__),_T(__FUNCTION__));

		} catch(Exception &e){
			e.Report();
		
		
		}
	}
	*/
}



#include "namespace_end.h"